Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.view.appearance
Class CellAppearance

    java.lang.Object
      datechooser.view.appearance.CellRenderer
          datechooser.view.appearance.CellAppearance

All Implemented Interfaces:
  CellAttributes, java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  CustomCellAppearance, SwingCellAppearance

    public abstract class CellAppearance

extends CellRenderer
implements java.io.Serializable, java.lang.Cloneable, CellAttributes

Abstract class for views.
Базовый класс для профилей внешнего вида.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  `AppearancesList`, Serialized Form

Constructor Summary
`CellAppearance()`

Method Summary
`abstract java.lang.Object` | `clone()` Deep clone.
`abstract java.awt.Composite` | `getComposite()` Get composite stile for graphical output.
`abstract java.awt.Color` | `getCursorColor()` Cursor color.
`protected abstract CellRenderer` | `getRenderer()`
`boolean` | `isSelectable()`
`void` | `render(java.awt.Graphics2D g, java.awt.Component c, java.lang.String text, int width, int height, boolean isCursor)` Draw cell method.
`abstract void` | `setCursorColor(java.awt.Color color)` Set cursor color.
`void` | `setSelectable(boolean selectable)`

Methods inherited from class datechooser.view.appearance.CellRenderer
`paintCursor, render`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface datechooser.view.appearance.CellAttributes
`assign, getFont, getTextColor, setFont, setTextColor`

Constructor Detail

### CellAppearance

    public CellAppearance()

Method Detail

### getRenderer

    protected abstract CellRenderer getRenderer()

  Since:
    1.0
  See Also:
    `CellRenderer`

### clone

    public abstract java.lang.Object clone()

  Deep clone.
  Глубокое клонирование.

  Overrides:
    `clone` in class `java.lang.Object`
  Since:
    1.0

### isSelectable

    public boolean isSelectable()

### setSelectable

    public void setSelectable(boolean selectable)

### render

    public void render(java.awt.Graphics2D g,
                       java.awt.Component c,
                       java.lang.String text,
                       int width,
                       int height,
                       boolean isCursor)

  Description copied from class: `CellRenderer`
  Draw cell method.
  Метод рисования ячейки.

  Specified by:
    `render` in class `CellRenderer`
  Parameters:
    `g` - Graphics.
    Графический контекст.
    `c` - Palette component.
    Компонент, на котором осуществляется рисование.
    `text` - Cell text.
    Текст ячейки.
    `width` - Cell width.
    Ширина ячейки.
    `height` - Cell height.
    Высота ячейки.
    `isCursor` - Draw cursor.
    Рисовать курсор.

### getComposite

    public abstract java.awt.Composite getComposite()

  Get composite stile for graphical output.
  Возвращает стиль композиции при рисовании.

  Since:
    1.0

### getCursorColor

    public abstract java.awt.Color getCursorColor()

  Cursor color.
  Цвет курсора.

  Since:
    1.0

### setCursorColor

    public abstract void setCursorColor(java.awt.Color color)

  Set cursor color.
  Установить цвет курсора.

  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD